- zap unneeded INSTALL/DEINSTALL scripts which are conflicting.

- bump PKGNAME.

spotted by sturm@, ok alek@
This commit is contained in:
aanriot 2005-11-09 10:27:06 +00:00
parent 8d6c6dfc95
commit dc393ca76e
3 changed files with 2 additions and 126 deletions

View File

@ -1,9 +1,9 @@
# $OpenBSD: Makefile,v 1.4 2005/09/16 08:11:03 aanriot Exp $ # $OpenBSD: Makefile,v 1.5 2005/11/09 10:27:06 aanriot Exp $
COMMENT= "web-based collaboration platform" COMMENT= "web-based collaboration platform"
DISTNAME= TWiki20040903 DISTNAME= TWiki20040903
PKGNAME= TWiki-20040903 PKGNAME= TWiki-20040903p0
CATEGORIES= www CATEGORIES= www
HOMEPAGE= http://twiki.org/ HOMEPAGE= http://twiki.org/

View File

@ -1,52 +0,0 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.2 2004/04/15 03:45:03 kevlo Exp $
#
# De-installation setup of openwebmail
# exit on errors, use a sane path and install prefix
#
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/var/www}
CGI_DIR=${PREFIX}/cgi-bin/twiki
WWWDOC_DIR=${WWWDOCDIR}/twiki
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package"
echo "| you need to perform these steps as root:"
echo "|"
echo "| rm -rf ${CGI_DIR}"
echo "| rm -rf ${WWWDOC_DIR}"
echo "|"
echo "| Do not do this if you plan on re-installing"
echo "| $1 at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ ${PKG_DELETE_EXTRA} != Yes -a -e ${WWWDOC_DIR} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -1,72 +0,0 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2004/04/14 08:27:56 kevlo Exp $
#
# Pre/post-installation setup of twiki
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/var/www}
WWWDOC_DIR=${WWWDOCDIR}/twiki
CONFIG_DIR=${WWWDOC_DIR}
SAMPLE_CONFIG_DIR=${WWWDOC_DIR}/lib
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file in $CONFIG_DIR has"
echo "| NOT been changed. You may want to compare it to the current"
echo "| sample file, $SAMPLE_CONFIG_DIR/TWiki.cfg-sample,"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
chown -R www:www $WWWDOC_DIR/data
chmod 664 `find $WWWDOC_DIR/data -type f`
chown -R www:www $WWWDOC_DIR/pub
install -o root -g bin -m 644 $SAMPLE_CONFIG_DIR/TWiki.cfg-sample $CONFIG_DIR/lib/TWiki.cfg
echo
echo "+---------------"
echo "| The $1 configuration file, $CONFIG_DIR/lib/TWiki.cfg,"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f $CONFIG_DIR/lib/TWiki.cfg ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0